Subject: bug#41868: [PATCH] Add project-clean-up command

From: Dmitry Gutov <[email-masked]>
Date: Mon, 15 Jun 2020 15:28:20 +0300

On 15.06.2020 13:00, Philip K. wrote:
> I wanted to propose a command for project.el to kill all opened buffers
> in a project, called when one finishes working on some specific
> code-base. I gave it the name "project-clean-up", but maybe it should be
> renamed?

I've just looked it up, and Projectile has a command called 
project-kill-buffers. Perhaps follow its example?

https://github.com/bbatsov/projectile/blob/33bc91e7518fb8cecd89580f16e0ac21799de2c2/projectile.el#L3642

I somewhat prefer the explicit naming. Looking at it, you won't mistake 
it for a command that removes build artefacts, or "tidies up" the code, 
for instance.

> I have been using it in my local emacs branch for about a week,
> and have found it to be useful.

Sounds useful indeed!